Bug 127552 - [PATCH] devel/libffi: Put include files into ${PREFIX}/include
Summary: [PATCH] devel/libffi: Put include files into ${PREFIX}/include
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-23 02:50 UTC by gslin
Modified: 2008-10-22 08:40 UTC (History)
1 user (show)

See Also:


Attachments
libffi-3.0.4_1.patch (1.75 KB, patch)
2008-09-23 02:50 UTC, gslin
no flags Details | Diff
ports-devel-libffi.diff (1.44 KB, patch)
2008-10-21 17:51 UTC, Björn König
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gslin 2008-09-23 02:50:01 UTC
- Put include files into ${PREFIX}/include.
- Bump PORTREVISION.

Added file(s):
- files/patch-include-Makefile.in

Port maintainer (bkoenig@alpha-tierchen.de) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-09-23 02:50:07 UTC
Maintainer of devel/libffi,

Please note that PR ports/127552 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/127552

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-09-23 02:50:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Björn König 2008-09-23 06:27:07 UTC
Hello,

do you have a specific reason for the suggestion? This issue was topic in
ports/123756. Please read my justification there.

Björn
Comment 4 gslin 2008-09-23 15:33:49 UTC
I'm trying to porting JSEXT to FreeBSD, and it doesn't use pkg-config
to get correct place of libffi.  Then I feel strange that libffi's
include files are in /usr/local/lib/... so I send a patch to PR system.

I think it's okay if you insist to put include files in /usr/local/lib/...
or whatever place, I'll use another approach to detect libffi.

But if you have other plan, please let me know, I would like to change
the way.

Thanks,

On Tue, Sep 23, 2008 at 07:27:07AM +0200, Bjoern Koenig wrote:
> Hello,
> 
> do you have a specific reason for the suggestion? This issue was topic in
> ports/123756. Please read my justification there.
> 
> Björn
> 

-- 
* Gea-Suan Lin                                    http://blog.gslin.org/
* If you cannot convince them, confuse them.           -- Harry S Truman
Comment 5 Björn König 2008-09-23 18:30:04 UTC
> I'm trying to porting JSEXT to FreeBSD, and it doesn't use pkg-config
> to get correct place of libffi.  Then I feel strange that libffi's
> include files are in /usr/local/lib/... so I send a patch to PR system.

Actually, this is the default location of libffi and jsext will have
problems on all systems, i.e. even Linux. The proper way would be to fix
jsext to use pkg-config. The port java/jamvm shows how it works.

> I think it's okay if you insist to put include files in /usr/local/lib/...
> or whatever place, I'll use another approach to detect libffi.
>
> But if you have other plan, please let me know, I would like to change
> the way.

Probably we could hard link the headers in /usr/local/lib/libffi... to
/usr/local/include additionally. I'll think about it.

Björn
Comment 6 Stefan Walter freebsd_committer 2008-10-11 11:14:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 7 Stefan Walter freebsd_committer 2008-10-21 15:15:01 UTC
Hi Bjoern,

I'm trying to find out what the state of this is. Is there any change that
you think should be applied to devel/libffi, or should this PR [1] be
closed?

Regards,
Stefan

[1]: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/127552
Comment 8 Björn König 2008-10-21 17:51:31 UTC
Thanks for kicking my ass. ;-)

Here's a patch that keeps the old state, but creates two links
additionally that deal with this issue. Furthermore the patch updates the
port to version 3.0.6.

Regards
Björn
Comment 9 dfilter service freebsd_committer 2008-10-22 08:31:17 UTC
stefan      2008-10-22 07:31:06 UTC

  FreeBSD ports repository

  Modified files:
    devel/libffi         Makefile distinfo pkg-plist 
  Log:
  - Update to 3.0.6.
  - Add symlinks for include files in ${PREFIX}/include.
  
  PR:             127552
  Submitted by:   Gea-Suan Lin <gslin@gslin.org>
  Patch by:       maintainer
  
  Revision  Changes    Path
  1.26      +5 -1      ports/devel/libffi/Makefile
  1.7       +3 -3      ports/devel/libffi/distinfo
  1.10      +2 -0      ports/devel/libffi/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Stefan Walter freebsd_committer 2008-10-22 08:32:26 UTC
State Changed
From-To: feedback->closed

Patch committed, thanks!